## minissdpd 1.0

=== Makefile ===
# $Id: Makefile,v 1.9 2008/10/06 22:04:06 nanard Exp $
# MiniUPnP project
# author: Thomas Bernard
# website: http://miniupnp.free.fr/ or http://miniupnp.tuxfamily.org/
# for use with GNU Make (gmake)
# install with :
# $ PREFIX=/tmp/dummylocation make install
# or
# $ INSTALLPREFIX=/usr/local make install
# or
# make install (miniupnpd will be put in /usr/sbin)
#
# install target is made for linux... sorry BSD users...
CFLAGS = -Wall -g -D_GNU_SOURCE
CC = gcc
RM = rm -f
INSTALL = install

#EXECUTABLES = minissdpd testminissdpd listifaces
EXECUTABLES = minissdpd testminissdpd testcodelength
MINISSDPDOBJS = minissdpd.o openssdpsocket.o daemonize.o
TESTMINISSDPDOBJS = testminissdpd.o

ALLOBJS = $(MINISSDPDOBJS) $(TESTMINISSDPDOBJS)

INSTALLPREFIX ?= $(PREFIX)/usr
SBININSTALLDIR = $(INSTALLPREFIX)/sbin

.PHONY:	all clean install depend

all:	$(EXECUTABLES)

clean:
	$(RM) $(ALLOBJS) $(EXECUTABLES)

install:	minissdpd
	$(INSTALL) -d $(SBININSTALLDIR)
	$(INSTALL) minissdpd $(SBININSTALLDIR)
	$(INSTALL) -d $(PREFIX)/etc/init.d
	$(INSTALL) minissdpd.init.d.script $(PREFIX)/etc/init.d/minissdpd

minissdpd: $(MINISSDPDOBJS)
	$(CC) $(CFLAGS) -o $@ $(MINISSDPDOBJS)

testminissdpd:	$(TESTMINISSDPDOBJS)

testcodelength:	testcodelength.o

depend:
	makedepend -f$(MAKEFILE_LIST) -Y \
	$(ALLOBJS:.o=.c) 2>/dev/null

# DO NOT DELETE

minissdpd.o: openssdpsocket.h daemonize.h config.h
openssdpsocket.o: openssdpsocket.h
daemonize.o: daemonize.h config.h

## minissdpd 1.0.20110729

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.9 2008/10/06 22:04:06 nanard Exp $
+# $Id: Makefile,v 1.12 2011/06/17 23:08:00 nanard Exp $
 # MiniUPnP project
 # author: Thomas Bernard
 # website: http://miniupnp.free.fr/ or http://miniupnp.tuxfamily.org/
@@ -11,17 +11,18 @@
 # make install (miniupnpd will be put in /usr/sbin)
 #
 # install target is made for linux... sorry BSD users...
-CFLAGS = -Wall -g -D_GNU_SOURCE
+#CFLAGS = -Wall -g -D_GNU_SOURCE -Wstrict-prototypes 
+CFLAGS = -Wall -Os -D_GNU_SOURCE -fno-strict-aliasing -Wstrict-prototypes
 CC = gcc
 RM = rm -f
 INSTALL = install
 
 #EXECUTABLES = minissdpd testminissdpd listifaces
 EXECUTABLES = minissdpd testminissdpd testcodelength
-MINISSDPDOBJS = minissdpd.o openssdpsocket.o daemonize.o
+MINISSDPDOBJS = minissdpd.o openssdpsocket.o daemonize.o upnputils.o
 TESTMINISSDPDOBJS = testminissdpd.o
 
-ALLOBJS = $(MINISSDPDOBJS) $(TESTMINISSDPDOBJS)
+ALLOBJS = $(MINISSDPDOBJS) $(TESTMINISSDPDOBJS) testcodelength.o
 
 INSTALLPREFIX ?= $(PREFIX)/usr
 SBININSTALLDIR = $(INSTALLPREFIX)/sbin
@@ -52,6 +53,8 @@
 
 # DO NOT DELETE
 
-minissdpd.o: openssdpsocket.h daemonize.h config.h
-openssdpsocket.o: openssdpsocket.h
+minissdpd.o: config.h upnputils.h openssdpsocket.h daemonize.h codelength.h
+openssdpsocket.o: config.h openssdpsocket.h
 daemonize.o: daemonize.h config.h
+upnputils.o: config.h upnputils.h
+testcodelength.o: codelength.h

## minissdpd 1.1.20111007

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.12 2011/06/17 23:08:00 nanard Exp $
+# $Id: Makefile,v 1.13 2011/07/29 15:21:12 nanard Exp $
 # MiniUPnP project
 # author: Thomas Bernard
 # website: http://miniupnp.free.fr/ or http://miniupnp.tuxfamily.org/
@@ -19,7 +19,7 @@
 
 #EXECUTABLES = minissdpd testminissdpd listifaces
 EXECUTABLES = minissdpd testminissdpd testcodelength
-MINISSDPDOBJS = minissdpd.o openssdpsocket.o daemonize.o upnputils.o
+MINISSDPDOBJS = minissdpd.o openssdpsocket.o daemonize.o upnputils.o ifacewatch.o
 TESTMINISSDPDOBJS = testminissdpd.o
 
 ALLOBJS = $(MINISSDPDOBJS) $(TESTMINISSDPDOBJS) testcodelength.o
@@ -54,7 +54,9 @@
 # DO NOT DELETE
 
 minissdpd.o: config.h upnputils.h openssdpsocket.h daemonize.h codelength.h
+minissdpd.o: ifacewatch.h
 openssdpsocket.o: config.h openssdpsocket.h
 daemonize.o: daemonize.h config.h
 upnputils.o: config.h upnputils.h
+ifacewatch.o: config.h openssdpsocket.h
 testcodelength.o: codelength.h

## minissdpd 1.1.20120121

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.13 2011/07/29 15:21:12 nanard Exp $
+# $Id: Makefile,v 1.14 2012/01/02 10:41:52 nanard Exp $
 # MiniUPnP project
 # author: Thomas Bernard
 # website: http://miniupnp.free.fr/ or http://miniupnp.tuxfamily.org/
@@ -16,6 +16,7 @@
 CC = gcc
 RM = rm -f
 INSTALL = install
+OS = $(shell uname -s)
 
 #EXECUTABLES = minissdpd testminissdpd listifaces
 EXECUTABLES = minissdpd testminissdpd testcodelength
@@ -26,6 +27,8 @@
 
 INSTALLPREFIX ?= $(PREFIX)/usr
 SBININSTALLDIR = $(INSTALLPREFIX)/sbin
+MANINSTALLDIR = $(INSTALLPREFIX)/share/man
+
 
 .PHONY:	all clean install depend
 
@@ -37,8 +40,12 @@
 install:	minissdpd
 	$(INSTALL) -d $(SBININSTALLDIR)
 	$(INSTALL) minissdpd $(SBININSTALLDIR)
+	$(INSTALL) -d $(MANINSTALLDIR)/man1
+	$(INSTALL) minissdpd.1 $(MANINSTALLDIR)/man1/minissdpd.1
+ifneq ($(OS), Darwin)
 	$(INSTALL) -d $(PREFIX)/etc/init.d
 	$(INSTALL) minissdpd.init.d.script $(PREFIX)/etc/init.d/minissdpd
+endif
 
 minissdpd: $(MINISSDPDOBJS)
 	$(CC) $(CFLAGS) -o $@ $(MINISSDPDOBJS)

=== debian/changelog ===
minissdpd (1.1.20120121-1) unstable; urgency=low

  * New upstream version.
  * Fixed the init script to handle when start-stop-daemon returns 1, and
  handling of the VERBOSE variable.
  * Switching from dpatch to quilt, and from source format 1.0 to 3.0.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Feb 2012 19:23:48 +0800

minissdpd (1.1.20111007-4) unstable; urgency=low

  * Fixed English grammar mistakes, thanks to Martin Eberhard Schauer
  <Martin.E.Schauer@gmx.de> (Closes: #653027).
  * Added a debian/gbp.conf
  * Added support for "status" action to init.d script, thanks to patch from
  Peter Eisentraut <petere@debian.org> (Closes: #652916).

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Dec 2011 19:53:11 +0800

minissdpd (1.1.20111007-3) unstable; urgency=low

  * Exits if binary isn't found (Closes: #646746).

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Oct 2011 19:28:20 +0800

minissdpd (1.1.20111007-2) unstable; urgency=low

  * Calling dpatch directly in debian/rules because the patch wasn't applied at
  all, so this bug was still remaining, thanks to Christoph Egger
  <christoph@debian.org> for reporting it (Closes: #635911).

 -- Thomas Goirand <zigo@debian.org>  Mon, 10 Oct 2011 15:16:20 +0800

minissdpd (1.1.20111007-1) unstable; urgency=low

  * New upstream version including the bugfixes to bugs sent to the Debian
  BTS (Closes: #644508, #644509, #644510, #644511, #630665).
  * Added a patch to disable calls to link_ntoa in Debian/kFreeBSD
  (Closes: #635911).
  * debian/copyright is now in DEP5 format.

 -- Thomas Goirand <zigo@debian.org>  Sun, 09 Oct 2011 17:49:12 +0000

minissdpd (1.0.20110729-1) unstable; urgency=high

  * New upstream release 1.0.20110729, fixing root exploit issue reported on
  launchpad (Closes: #635836) (LP: #813313), thanks to Moritz Muehlenhoff
  <jmm@debian.org> for the bug report, and to falks at Ubuntu for the
  investigation of the issue.
  * Added build-arch: and build-indep: targets in debian/rules.
  * Bumped standard-version to 3.9.2.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Jul 2011 14:41:55 +0200

minissdpd (1.0-2) unstable; urgency=low

  * Watch file was wrong (it was the one of miniupnpc).
  * Uploading to unstable from now on.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Mar 2011 19:59:51 +0800

minissdpd (1.0-1) experimental; urgency=low

  * Initial release (Closes: #608270).

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Dec 2010 16:49:20 +0800

=== debian/control ===
Source: minissdpd
Section: net
Priority: optional
Maintainer: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.2
Vcs-Browser: http://git.debian.org/?p=users/zigo/minissdpd.git
Vcs-Git: http://git.debian.org/git/users/zigo/minissdpd.git
Homepage: http://miniupnp.free.fr/

Package: minissdpd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: keep memory of all UPnP devices that announced themselves
 MiniSSDPd is a small daemon used by MiniUPnPc (a UPnP control point for IGD
 devices) to speed up device discoveries. MiniSSDPd keeps memory of all UPnP
 devices that announced themselves on the network through SSDP NOTIFY packets.
 MiniSSDPd also has the ability to handle all SSDP traffic received on a
 computer via the multicast group 239.255.255.250:1900.
 .
 MiniSSDPd receives NOTIFY packets and stores information contained for later
 use by UPnP Control Points on the machine. MiniSSDPd receives M-SEARCH packets
 and answers on behalf of the UPnP devices running on the machine. MiniUPnPd
 and MiniUPnPc are designed to take automatically advantage of MiniSSDPd
 running on the same computer. Just make sure that MiniSSDPd is started before
 any other UPnP program on the computer.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch $@

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp testcodelength.o

	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) install PREFIX=$(CURDIR)/debian/minissdpd
	install -D -m 0644 debian/defaults $(CURDIR)/debian/minissdpd/etc/default/minissdpd

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changelog.txt
	dh_installdocs README
	dh_installman
	dh_installinit
	dh_strip
	dh_compress
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
http://miniupnp.free.fr/files/download.php\?file=minissdpd-(\d\.\d.*).tar.gz

## minissdpd 1.2.20130907

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.14 2012/01/02 10:41:52 nanard Exp $
+# $Id: Makefile,v 1.17 2012/05/02 10:26:50 nanard Exp $
 # MiniUPnP project
 # author: Thomas Bernard
 # website: http://miniupnp.free.fr/ or http://miniupnp.tuxfamily.org/
@@ -11,8 +11,13 @@
 # make install (miniupnpd will be put in /usr/sbin)
 #
 # install target is made for linux... sorry BSD users...
-#CFLAGS = -Wall -g -D_GNU_SOURCE -Wstrict-prototypes 
-CFLAGS = -Wall -Os -D_GNU_SOURCE -fno-strict-aliasing -Wstrict-prototypes
+#CFLAGS = -g
+CFLAGS ?= -Os
+CFLAGS += -Wall
+CFLAGS += -W -Wstrict-prototypes
+CFLAGS += -fno-strict-aliasing -fno-common
+CFLAGS += -D_GNU_SOURCE
+CFLAGS += -ansi
 CC = gcc
 RM = rm -f
 INSTALL = install

=== debian/changelog ===
minissdpd (1.2.20130907-3) unstable; urgency=medium

  * Removed $all from init.d script.
  * Removed build-depends on hardening-wrapper.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Jul 2014 14:48:55 +0800

minissdpd (1.2.20130907-2) unstable; urgency=medium

  * Build-Depends: on freebsd-glue, and link with it, if we're building for
    kfreebsd. This is needed for the link_ntoa() call in upnputils.c, as
    otherwise minissdpd FTBFS on kfreebsd.

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Jun 2014 14:34:14 +0800

minissdpd (1.2.20130907-1) unstable; urgency=medium

  * New upstream release (Closes: #719612).
  * Fixed typo in package description (Closes: #653027).
  * Removed 0001-always-disable-link_ntoa.diff, let's see if that still
    works in FreeBSD.
  * Switched to compat level 9 and bumped standards-version.
  * VCS URLs now canonical.
  * Using DPKG_EXPORT_BUILDFLAGS and hardening=+all.
  * Removed the [ $VERBOSE ] cruft from init script.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 May 2014 06:47:51 +0000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: net
 Priority: optional
 Maintainer: Thomas Goirand <zigo@debian.org>
-Build-Depends: debhelper (>= 8)
-Standards-Version: 3.9.2
-Vcs-Browser: http://git.debian.org/?p=users/zigo/minissdpd.git
-Vcs-Git: http://git.debian.org/git/users/zigo/minissdpd.git
+Build-Depends: debhelper (>= 9), freebsd-glue [kfreebsd-any ]
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/zigo/minissdpd.git
+Vcs-Git: http://anonscm.debian.org/git/users/zigo/minissdpd.git
 Homepage: http://miniupnp.free.fr/
 
 Package: minissdpd

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,11 @@
 #!/usr/bin/make -f
-#export DH_VERBOSE=1
+
+export DEB_BUILD_HARDENING=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+export DEB_BUILD_ARCH_OS ?= $(shell dpkg-architecture | grep DEB_BUILD_ARCH_OS | cut -d= -f2)
 
 configure: configure-stamp
 configure-stamp:

## minissdpd 1.5.20161216

=== Makefile ===
# $Id: Makefile,v 1.28 2016/12/16 09:22:35 nanard Exp $
# MiniUPnP project
# author: Thomas Bernard
# website: http://miniupnp.free.fr/ or http://miniupnp.tuxfamily.org/
# for use with GNU Make (gmake)
# install with :
# $ PREFIX=/tmp/dummylocation make install
# or
# $ INSTALLPREFIX=/usr/local make install
# or
# make install (miniupnpd will be put in /usr/sbin)
#
# install target is made for linux... sorry BSD users...
#CFLAGS = -g -O0
CFLAGS ?= -Os
CFLAGS += -Wall
CFLAGS += -W -Wstrict-prototypes
CFLAGS += -fno-strict-aliasing -fno-common
CFLAGS += -D_GNU_SOURCE
#CFLAGS += -ansi
CC ?= gcc
RM = rm -f
INSTALL = install
OS = $(shell uname -s)

ifeq ($(OS), Linux)
	LDLIBS += -lnfnetlink
endif
ifeq ($(DEB_BUILD_ARCH_OS), kfreebsd)
	LDLIBS += -lfreebsd-glue
endif
ifeq ($(OS), SunOS)
	CFLAGS += -D_XOPEN_SOURCE
	CFLAGS += -D_XOPEN_SOURCE_EXTENDED=1
	CFLAGS += -D__EXTENSIONS__
	LDFLAGS += -lsocket -lnsl -lresolv
endif

#EXECUTABLES = minissdpd testminissdpd listifaces
EXECUTABLES = minissdpd testminissdpd testcodelength \
              showminissdpdnotif
MINISSDPDOBJS = minissdpd.o openssdpsocket.o daemonize.o upnputils.o \
                ifacewatch.o getroute.o getifaddr.o asyncsendto.o
TESTMINISSDPDOBJS = testminissdpd.o printresponse.o
SHOWMINISSDPDNOTIFOBJS = showminissdpdnotif.o printresponse.o

ALLOBJS = $(MINISSDPDOBJS) $(TESTMINISSDPDOBJS) \
          $(SHOWMINISSDPDNOTIFOBJS) \
          testcodelength.o

INSTALLPREFIX ?= $(PREFIX)/usr
SBININSTALLDIR = $(INSTALLPREFIX)/sbin
MANINSTALLDIR = $(INSTALLPREFIX)/share/man


.PHONY:	all clean install depend check test

all:	$(EXECUTABLES)

test:	check

clean:
	$(RM) $(ALLOBJS) $(EXECUTABLES)

install:	minissdpd
	$(INSTALL) -d $(SBININSTALLDIR)
	$(INSTALL) minissdpd $(SBININSTALLDIR)
	$(INSTALL) -d $(MANINSTALLDIR)/man1
	$(INSTALL) minissdpd.1 $(MANINSTALLDIR)/man1/minissdpd.1
ifneq ($(OS), Darwin)
	$(INSTALL) -d $(PREFIX)/etc/init.d
	$(INSTALL) minissdpd.init.d.script $(PREFIX)/etc/init.d/minissdpd
endif

check:	validateminissdpd validatecodelength

validateminissdpd:	testminissdpd minissdpd
	./testminissdpd.sh
	touch $@

validatecodelength:	testcodelength
	./testcodelength
	touch $@

minissdpd: $(MINISSDPDOBJS)

testminissdpd:	$(TESTMINISSDPDOBJS)

showminissdpdnotif:	$(SHOWMINISSDPDNOTIFOBJS)

testcodelength:	testcodelength.o

listifaces:	listifaces.o upnputils.o

depend:
	makedepend -f$(MAKEFILE_LIST) -Y \
	$(ALLOBJS:.o=.c) 2>/dev/null

# DO NOT DELETE

minissdpd.o: config.h getifaddr.h upnputils.h openssdpsocket.h
minissdpd.o: minissdpdtypes.h daemonize.h codelength.h ifacewatch.h
minissdpd.o: asyncsendto.h
openssdpsocket.o: config.h openssdpsocket.h minissdpdtypes.h upnputils.h
daemonize.o: daemonize.h config.h
upnputils.o: config.h upnputils.h getroute.h minissdpdtypes.h
ifacewatch.o: config.h openssdpsocket.h minissdpdtypes.h upnputils.h
getroute.o: getroute.h upnputils.h
getifaddr.o: config.h getifaddr.h
asyncsendto.o: asyncsendto.h upnputils.h
testminissdpd.o: codelength.h printresponse.h
printresponse.o: codelength.h
showminissdpdnotif.o: codelength.h printresponse.h
printresponse.o: codelength.h
testcodelength.o: codelength.h

=== debian/changelog ===
minissdpd (1.5.20161216-2) unstable; urgency=medium

  * Fix missing /etc/default/minissdpd (Closes: #889028)
  * Allow specifying IPv4 addresses (Closes: #889138)
  * Temporarily fix FTBFS on Hurd
  * Enable pristine-tar in debian/gbp.conf

 -- Yangfl <mmyangfl@gmail.com>  Fri, 02 Feb 2018 00:54:30 +0800

minissdpd (1.5.20161216-1) unstable; urgency=medium

  [ Yangfl ]
  * New upstream release (Closes: #852792).
  * Enable IPv6 support by default (Closes: #658256).
  * Use /bin/sh in initscript (Closes: #762937).
  * Fix FTCBFS by Helmut Grohne <helmut@subdivi.de> (Closes: #839117).
    - Pass triplet-prefixed CC to make
    - Fix build/host confusion

  [ Thomas Goirand ]
  * Update VCS fields to point to Salsa.
  * Removed bsdqueue.h from debian/copyright (gone upstream...).
  * Update copyright years.
  * Fixed debian/gbp.conf.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Feb 2018 09:31:25 +0000

minissdpd (1.2.20130907-4) unstable; urgency=medium

  * Add After=network-online.target in the .service file (Closes: #861231).
  * Add lsb-base as depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Apr 2017 17:07:25 +0200

minissdpd (1.2.20130907-3.2) unstable; urgency=high

  * Non-maintainer upload.
  * Fix CVE-2016-3178 and CVE-2016-3179. (Closes: #816759)
    The minissdpd daemon contains a improper validation of array index
    vulnerability (CWE-129) when processing requests sent to the Unix
    socket at /var/run/minissdpd.sock the Unix socket can be accessed
    by an unprivileged user to send invalid request causes an
    out-of-bounds memory access that crashes the minissdpd daemon.

 -- James Cowgill <jcowgill@debian.org>  Mon, 24 Oct 2016 08:54:59 +0100

minissdpd (1.2.20130907-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add systemd service file (Closes: #716803).

 -- Michael Biebl <biebl@debian.org>  Wed, 13 Jul 2016 20:12:37 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,20 @@
 Section: net
 Priority: optional
 Maintainer: Thomas Goirand <zigo@debian.org>
-Build-Depends: debhelper (>= 9), freebsd-glue [kfreebsd-any ]
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/zigo/minissdpd.git
-Vcs-Git: http://anonscm.debian.org/git/users/zigo/minissdpd.git
+Uploaders:
+ Yangfl <mmyangfl@gmail.com>,
+Build-Depends:
+ debhelper (>= 11),
+ freebsd-glue [kfreebsd-any],
+ libnfnetlink-dev [linux-any],
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/miniupnp-team/minissdpd
+Vcs-Git: https://salsa.debian.org/miniupnp-team/minissdpd.git
 Homepage: http://miniupnp.free.fr/
 
 Package: minissdpd
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
 Description: keep memory of all UPnP devices that announced themselves
  MiniSSDPd is a small daemon used by MiniUPnPc (a UPnP control point for IGD
  devices) to speed up device discoveries. MiniSSDPd keeps memory of all UPnP

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- DEB_HOST_ARCH_OS=$(DEB_HOST_ARCH_OS)

override_dh_auto_install:
	dh_auto_install -- 'PREFIX=$$(DESTDIR)'

## minissdpd 1.5.20180223

=== debian/changelog ===
minissdpd (1.5.20180223-3) unstable; urgency=medium

  * debian/minissdpd.config: Always prefer configs in debconf to prevent config
    loss during fresh installation (Closes: #901605, #903783).
  * debian/rules: Disable auto enabling systemd service (Closes: #901658).
  * Add Debconf translations, with thanks to:
    - Brazilian Portuguese, Adriano Rafael Gomes (Closes: #903357).
    - German, Helge Kreutzmann (Closes: #905758).
  * Bump Standards-Version to 4.2.0.

 -- Yangfl <mmyangfl@gmail.com>  Thu, 26 Jul 2018 20:39:35 +0800

minissdpd (1.5.20180223-2) unstable; urgency=medium

  * Make init script more permissive (Closes: #898008).
  * Add Debconf translations, with thanks to:
    - Russian, Lev Lamberov (Closes: #898183).
    - Dutch, Frans Spiesschaert (Closes: #898868).
    - French, jean-pierre giraud (Closes: #899297).
  * Fix sed error caused by "/" in CIDR address (Closes: #900169).
  * Hotfix FTBFS on kfreebsd-*.
  * Make Homepage field more accurate.

 -- Yangfl <mmyangfl@gmail.com>  Mon, 11 Jun 2018 20:16:49 +0800

minissdpd (1.5.20180223-1) unstable; urgency=medium

  * New upstream release.
    - Update manpage (Closes: #889143).
    - Use receiving interface index to check if from LAN (Closes: #896009).
  * Disable hurd-any due to lack of rt_msghdr and RTM_*.
  * Use debconf to ask for listerning interface (Closes: #890584).
  * Bump Standards-Version to 4.1.4.

 -- Yangfl <mmyangfl@gmail.com>  Sat, 21 Apr 2018 16:50:21 +0800

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,22 @@
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 11~),
  freebsd-glue [kfreebsd-any],
  libnfnetlink-dev [linux-any],
-Standards-Version: 4.1.3
+ po-debconf,
+Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/miniupnp-team/minissdpd
 Vcs-Git: https://salsa.debian.org/miniupnp-team/minissdpd.git
-Homepage: http://miniupnp.free.fr/
+Homepage: http://miniupnp.free.fr/minissdpd.html
 
 Package: minissdpd
-Architecture: any
-Depends: lsb-base, ${misc:Depends}, ${shlibs:Depends}
+Architecture: linux-any kfreebsd-any
+Depends:
+ debconf,
+ lsb-base,
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: keep memory of all UPnP devices that announced themselves
  MiniSSDPd is a small daemon used by MiniUPnPc (a UPnP control point for IGD
  devices) to speed up device discoveries. MiniSSDPd keeps memory of all UPnP

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- 'PREFIX=$$(DESTDIR)'

override_dh_installsystemd:
	dh_installsystemd --no-enable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*file=([^&]*)/$1/ \
	http://miniupnp.free.fr/files/download.php\?file=minissdpd-(\d\.\d.*).tar.gz

## minissdpd 1.5.20190210

=== debian/changelog ===
minissdpd (1.5.20190210-1) unstable; urgency=medium

  * New upstream release.
  * Add/update Debconf translations, with thanks to:
    - Swedish, Martin Bagge / brother (Closes: #922139).
    - German, Helge Kreutzmann (Closes: #922147).
    - Portuguese, Américo Monteiro (Closes: #922512).
    - Dutch, Frans Spiesschaert (Closes: #922971).
    - Brazilian Portuguese, Adriano Rafael Gomes (Closes: #923004).
    - Danish, Joe Dalton (Closes: #923054).
  * debian/watch: Check for PGP signature.

 -- Yangfl <mmyangfl@gmail.com>  Thu, 28 Feb 2019 11:13:55 +0800

minissdpd (1.5.20180223-6) unstable; urgency=medium

  * debian/minissdpd.config: do not use /sbin/ifconfig if it's not available.
    Fallback to reading /proc/net/route if we can read it. (Closes: #921736).

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Feb 2019 11:19:29 +0100

minissdpd (1.5.20180223-5) unstable; urgency=medium

  * Update debconf questions (Closes: #908586).
  * Guess some interfaces for listerning.
  * Add/update Debconf translations, with thanks to:
    - Danish, Joe Dalton (Closes: #919080).
    - Portuguese, Américo Monteiro (Closes: #919215).
    - German, Helge Kreutzmann (Closes: #919425).
    - Dutch, Frans Spiesschaert (Closes: #920428).
    - Russian, Lev Lamberov (Closes: #920981).
    - Vietnamese, Trần Ngọc Quân.
  * Fix autopkgtest.

 -- Yangfl <mmyangfl@gmail.com>  Tue, 08 Jan 2019 15:17:35 +0800

minissdpd (1.5.20180223-4) unstable; urgency=medium

  * Add a upgrade-only debconf note (Closes: #916699).
  * Remove START_DAEMON in /etc/default/miniupnpd (Closes: #908585).
  * Support specifying multiple interface names (Closes: #908586).
  * Add Portuguese Debconf translations, thanks to Américo Monteiro
    (Closes: #910399).
  * Add autopkgtest.
  * Bump Standards-Version to 4.3.0.
  * Bump debhelper compat to 12.

 -- Yangfl <mmyangfl@gmail.com>  Mon, 07 Jan 2019 00:01:42 +0800

## minissdpd 1.5.20190824

=== debian/changelog ===
minissdpd (1.5.20190824-1) unstable; urgency=medium

  * New upstream release.
  * Fixed annoying startup message "... unexpected operator" when
    MiniSSDPd_INTERFACE_ADDRESS contains more then one interface
    (Closes: #924865).
  * Start systemd service before miniupnpd (Closes: #961695).
  * Update Debconf translations, with thanks to:
    - French, Jean-Pierre Giraud (Closes: #924079).
    - Russian, Lev Lamberov (Closes: #951433).
  * Skip starting service when unconfigured (Closes: #932138).
  * Bump Standards-Version to 4.5.0.
  * Bump debhelper compat to 13.
  * Add upstream metadata.

 -- Yangfl <mmyangfl@gmail.com>  Tue, 25 Aug 2020 01:04:06 +0800

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,20 @@
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 13),
  freebsd-glue [kfreebsd-any],
  libnfnetlink-dev [linux-any],
  po-debconf,
-Standards-Version: 4.2.0
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/miniupnp-team/minissdpd
 Vcs-Git: https://salsa.debian.org/miniupnp-team/minissdpd.git
 Homepage: http://miniupnp.free.fr/minissdpd.html
 
 Package: minissdpd
 Architecture: linux-any kfreebsd-any
+Pre-Depends:
+ ${misc:Pre-Depends},
 Depends:
  debconf,
  lsb-base,

=== debian/rules ===
--- 
+++ 
@@ -14,5 +14,8 @@
 override_dh_auto_install:
 	dh_auto_install -- 'PREFIX=$$(DESTDIR)'
 
+override_dh_installinit:
+	dh_installinit --no-enable --no-start
+
 override_dh_installsystemd:
-	dh_installsystemd --no-enable
+	dh_installsystemd --no-enable --no-start

=== debian/watch ===
version=4
opts=filenamemangle=s/.*file=([^&]*)/$1/,pgpsigurlmangle=s%$%.sig% \
	http://miniupnp.free.fr/files/download.php\?file=minissdpd-(\d\.\d.*).tar.gz

## minissdpd 1.5.20211105

=== debian/changelog ===
minissdpd (1.5.20211105-1) unstable; urgency=medium

  * New upstream release.
  * Do not fail when service fails to start (Closes: #969184).
  * Add Spanish Debconf translations, thanks to Camaleón (Closes: #987340).
  * Bump Standards-Version to 4.6.0.

 -- Yangfl <mmyangfl@gmail.com>  Mon, 13 Dec 2021 14:44:44 +0800

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libnfnetlink-dev [linux-any],
  po-debconf,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/miniupnp-team/minissdpd
 Vcs-Git: https://salsa.debian.org/miniupnp-team/minissdpd.git
 Homepage: http://miniupnp.free.fr/minissdpd.html

=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,6 @@
 %:
 	dh $@
 
-override_dh_auto_install:
-	dh_auto_install -- 'PREFIX=$$(DESTDIR)'
-
 override_dh_installinit:
 	dh_installinit --no-enable --no-start

## minissdpd 1.6.0

=== debian/changelog ===
minissdpd (1.6.0-2) unstable; urgency=medium

  * Preserve user's modification on default file (Closes: #1033479).
  * Move systemd wrapper into /usr/libexec.
  * No longer hint IP addresses of interfaces in debconf.
  * Add Romanian Debconf translations, thanks to Remus-Gabriel Chelu
    (Closes: #1032721).

 -- Yangfl <mmyangfl@gmail.com>  Wed, 07 Feb 2024 22:06:07 +0800

minissdpd (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2.

 -- Yangfl <mmyangfl@gmail.com>  Thu, 22 Dec 2022 01:07:49 +0800

=== debian/control ===
--- 
+++ 
@@ -10,18 +10,15 @@
  libnfnetlink-dev [linux-any],
  po-debconf,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/miniupnp-team/minissdpd
 Vcs-Git: https://salsa.debian.org/miniupnp-team/minissdpd.git
 Homepage: http://miniupnp.free.fr/minissdpd.html
 
 Package: minissdpd
 Architecture: linux-any kfreebsd-any
-Pre-Depends:
- ${misc:Pre-Depends},
 Depends:
  debconf,
- lsb-base,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: keep memory of all UPnP devices that announced themselves

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND =
 
 
 %:
